<?php
//index模型配置
defined('IN_MK') or exit('Access Denied');

//当前域名
is_https()? $host = 'https://'.DOMAIN : $host = 'http://'.DOMAIN;

return[

    //模版输出替换
    'view_replace_str'  =>  [
        '__ADMIN__' => $host.'/app/admin',
        '__TOOL__' => $host.'/public/tool',
    ],

    // 是否开启请求缓存 true自动缓存
    'request_cache' => false,
    // +----------------------------------------------------------------------
    // | 缓存设置
    // +----------------------------------------------------------------------
    'cache'                  => [
        // 驱动方式
        'type'   => 'File',
        // 缓存保存目录
        'path'   => CACHE_PATH,
        // 缓存前缀
        'prefix' => '',
        // 缓存有效期 0表示永久缓存
        'expire' => 0,
    ],

    // + -----------------------------------------------------------------------------
    // | 分页配置
    // + -----------------------------------------------------------------------------
    'paginate'      => [
        'list_rows' => 15,            //分页数字的长度
        'prveText'  => '<span class="iconfont icon-prev"></span>',     //上一页文本
        'nextText'  => '<span class="iconfont icon-next"></span>',     //下一页文本
        'ellipsis'  => '...',        //缩略字符
        'simple' => false           //简单模式
    ],


    // + -----------------------------------------------------------------------------
    // | 路由配置
    // + -----------------------------------------------------------------------------
    'route'       =>[
        'url_route_on'           => true,  // 是否开启路由
        'url_route_must'         => false, // 是否强制使用路由
    ],





];