$(function(){
	
	//头部
	var header = new Vue({
		el: '#header',
		data: {
			userSetShow: true,
		},
		created: function(){
			//切换左侧栏大小图片大小
			if(sessionStorage.getItem("sliebarWidth") == '40px'){
				$('#header .change_size').css('font-size','16px');
			}
		},
		methods:{
			//右上角点击用户名时，显示用户设置菜单
			showSetList: function () {
				if(this.userSetShow){
					$('#header .setList').animate({'top':'43px','opacity':1},'fast').show();
					this.userSetShow =  false;
				}else{
					$('#header .setList').animate({'top':'0px','opacity':0},'fast',function(){$(this).hide()});
					this.userSetShow =  true;
				}
			},
			//切换左侧栏大小
			changeSsize:function(event){
				var e = event.currentTarget;
				if($('#sidebar').width() == 220){
					$('#sidebar').css({'width':'40px'});
					$('#sidebar .subMenu').hide();
					sessionStorage.setItem("sliebarWidth", "40px");
					$(e).css('font-size','16px');
					$('#sidebar .slideLine').hide();
					$('#rightContent').css({'margin-left':'55px'});
				}else{
					$('#sidebar').css({'width':'220px'});
					sessionStorage.setItem("sliebarWidth", "220px");
					$(e).css('font-size','24px');
					$('#rightContent').css({'margin-left':'238px'});
					
					//左侧栏选中状态
					$('#sidebar .menu a.active').parents('.subMenu').show();
					var slineTop = $('#sidebar .menu a.active').offset().top-45;
					$('#sidebar .slideLine').css('top',slineTop).show();
				}
			},
			//导行经过
			navHover:function(event){
				var e = event.currentTarget;
				$(e).find('a').hover(function(){
					$(e).find('a').css('background','#3399fe');
					$(this).css('background','#0382ff');
				},function(){
					$(this).css('background','#3399fe');
					$(e).find('.active').css('background','#0382ff');
				});
				
			}
		}
	});
		
	//左侧栏
	var slideBar = new Vue({
		el: '#sidebar',
		data: {},
		created: function(){
			//左侧栏选中状态
			var href = window.location.href;
			var pathname =  window.location.pathname;
			var backUrl = document.referrer; //上一页的url

			$('#sidebar .menu a').each(function(){
				var url = $(this).attr('href');
				var patt = new RegExp(url);
				if(url == href || url == pathname || url == backUrl || patt.test(backUrl)){
					$(this).addClass('active');
					if(sessionStorage.getItem("sliebarWidth")!='40px'){
						$(this).parents('.subMenu').show();
					}
					var slineTop = $(this).offset().top-45;
					$('#sidebar .slideLine').css('top',slineTop).show();
				}
			});





		},
		methods:{
			//显示子菜单
			menuList:function(event){
				var el = event.currentTarget;
				if(sessionStorage.getItem("sliebarWidth") == '40px'){return false;}
				if($(el).next().is(':hidden')){
					$(el).next().slideDown('fast');
				}else{
					$(el).next().slideUp('fast');
				}
			},
			//鼠标经过，当左侧栏为缩小状态时，显示浮动子菜单
			showSub:function(event){
				if(sessionStorage.getItem("sliebarWidth") == '40px'){
					var el = event.currentTarget;
					var elTop = $(el)[0].offsetTop;
					$('#sidebar .floatMenu').html('');
					$('#sidebar .floatMenu').append($(el).html());
					$('#sidebar .floatMenu').stop().animate({top:elTop,opacity:1},'fast').show();
				}
			
			},
			//鼠标离开时 隐藏浮动子菜单
			hideSub:function(event){
				$('#sidebar .floatMenu').stop().animate({opacity:0},'fast',function(){$(this).hide()});
			}
			
		},
		computed: {
			//动态计算左侧栏宽度
			sideBarSize:function(){
				var sh = $(window).height()-45;
				return {'height':sh+'px','width':sessionStorage.getItem("sliebarWidth")};
			}
		}
	});
		
	//右边
	var rightContent = new Vue({
		el:'#rightContent',
		created: function(){
			//动态计算madin主要内容高度
			var sh = $(window).height()-110;
			$('#main').css('max-height',sh+'px');
		},
		computed: {
			//动态计算左侧栏宽度
			rightContentSize:function(){
				var sh = $(window).height()-12;
					var ml = '238px';
				if(sessionStorage.getItem("sliebarWidth") == '40px'){
					ml = '55px';
				}
				return {'height':sh+'px','margin-left':ml};
			}
		}
	});
	
	
	//鼠标经过左线条跟随
	$('#sidebar .parentMenu,#sidebar .subMenu a').mouseenter(function(){
		var slineTop = $(this).offset().top-45;
		$('#sidebar .slideLine').css('top',slineTop).show();
	});
	$('#sidebar .menu').mouseleave(function(){
		if($('#sidebar  a.active').length > 0){
			var slineTop = $('#sidebar  a.active').offset().top-45;
			$('#sidebar .slideLine').css('top',slineTop).show();
		}else{
			$('#sidebar .slideLine').hide();
		}
	});


	
	//返回
	$('.historyBack').click(function(){
		history.back();
	});
	
	
	
			
		
		
		
	
});