<?php

/*
 * 数据库的基本操作
 */
namespace blockphp\lib;
use blockphp\lib\db\Connection;  //数据库连接


class Db
{

    //连接数据库
    public static function connect()
    {
       return Connection::getInstance();
    }



    /**
     * 调用驱动类的方法
     * @access public
     * @param  string $method 方法名
     * @param  array  $params 参数
     * @return mixed
     */
    public static function __callStatic($method, $params)
    {
        return call_user_func_array([self::connect(), $method], $params);
    }



}