<?php
namespace blockphp\lib\cache\driver;

class Redis
{
    //1.静态私有属性，保存当前类的实例
    private static $instance = null;

    //2.构造方法私有化，禁止外部用new 来创建类实例
    private function __construct()
    {

    }

    //3.克隆方法私有化，禁止从外部克隆来生成本类的实例
    private function __clone()
    {

    }

    //4.生成当前类的唯一实例

    public static function getInstant()
    {
        //如果不是当前的实例，那么实例化当前类创建新实例
        if(!self::$instance instanceof self){
            self::$instance = new self();
        }
        echo '当前为redis驱动';
        return self::$instance;

    }


    public function set($name,$value,$expire = null)
    {
        return  'redis';


    }


}