<?php
namespace app\admin\controller;
use blockphp\lib\Controller;
use blockphp\lib\Db;



class Auth extends Controller
{


	//列表
	public function lst()
	{
		$auth = Db::table('auth')
			   ->alias('a')
			   ->join('bp_auth_group b','a.groupId = b.id')
				->field('a.*,b.groupName')
			   ->paginate(15);
		$this->assign(['auth'=>$auth]);
		$this->view();
    }
	 
	 //编辑
	public function edit()
    {
	    //修改
        if(is_post()){
            $data = input('post.');
            //密码不为空时
            if(empty($data['password'])){
                unset($data['password']);
            }else{
                $data['password'] = hmac($data['password']);
            }
            $res = Db::table('auth')->update($data);
            $this->ajaxReturn($res);
        }

		//用户
		$auth = Db::table('auth')->where('id',input('get.id'))->find();
		
		//用户组
		$authGroup = Db::table('auth_group')->select();
		$this->assign([
			'authGroup'=>$authGroup,
			'auth'=>$auth
		]);
		$this->view();
	}


	//添加管理员
    public function add()
    {
        if(is_post()){
            $data = input('post.');
            $data['password'] = hmac($data['password']);
            $res = Db::table('auth')->insert($data);
            $this->ajaxReturn($res);
        }

        //用户组
        $authGroup = Db::table('auth_group')->select();
        $this->assign(['authGroup'=>$authGroup]);
        $this->view();
    }


    //删除
    public function del()
    {
	    $id = input('post.id');
	    $res = Db::table('auth')->where('id',$id)->delete();
        $this->ajaxReturn($res);
    }






}

